%define _disable_ld_no_undefined 1

Name:           wmdrawer
Version:        0.10.5
Release:        %mkrel 14
Summary:        Retractable button bar launcher dockapp
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            http://people.easter-eggs.org/~valos/wmdrawer/
Source0:        http://people.easter-eggs.org/~valos/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-Makefile.patch
Patch1:         %{name}-0.10.5-mga-update-default-applications.patch
Patch2:         %{name}-0.10.5-mga-copy-default-config-from-skel-to-home.patch

BuildRequires:  libxext-devel
BuildRequires:  libx11-devel
BuildRequires:  libxi-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  dos2unix

Requires:       x11-font-misc

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
CFLAGS="%{optflags}" LDFLAGS="%{ldflags} -lXext" %make -L

%install
# binary
mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

# man pages
install -p -m 644 doc/%{name}.1x.* %{buildroot}%{_mandir}/man1

dos2unix -k AUTHORS

# config file
install -D -p -m 644 %{name}rc.example %{buildroot}%{_sysconfdir}/skel/.%{name}rc

%files
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/skel/.%{name}*
%{_mandir}/man1/*


%changelog

* Sat Apr 21 2012 kamil <kamil> 0.10.5-14.mga2
+ Revision: 232259
- add P2: copy-default-config-from-skel-to-home.patch (mga#5491)
- fix default config file, replace the binary entry of Galeon with Firefox (mga#5491)

* Sat Mar 10 2012 kamil <kamil> 0.10.5-13.mga2
+ Revision: 222346
- start using /etc/skel directory for the default configuration file (thanks to Thierry Vignaud for noting about it)
- add P1 mga-update-default-applications.patch to replace xterm with universal xvt and to use newer applications
  * xmms -> xmms2
  * gqview -> geeqie
  * galeon -> firefox

* Sat Feb 18 2012 kamil <kamil> 0.10.5-12.mga2
+ Revision: 210561
- prepare a buildable package
- adapt .spec for Mageia
- imported package wmdrawer

